Name:           perl-Config-Model
Version:        1.205
Release:        4%{?dist}
Summary:        Framework to create configuration validation tools and editors
License:        LGPLv2+
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Config-Model/
Source0:        http://www.cpan.org/authors/id/D/DD/DDUMONT/Config-Model-%{version}.tar.gz
Patch0:         Config-Model-1.205-yamlreq.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  perl(Carp::Assert::More)
BuildRequires:  perl(Config::Tiny)
BuildRequires:  perl(Exception::Class)
BuildRequires:  perl(Log::Log4perl) >= 1.11
BuildRequires:  perl(Module::Build)
BuildRequires:  perl(Moose)
BuildRequires:  perl(Parse::RecDescent) >= v1.90.0
BuildRequires:  perl(Test::Exception)
BuildRequires:  perl(Test::More)
BuildRequires:  perl(Test::Warn) >= 0.11
BuildRequires:  perl(Text::Template)
BuildRequires:  perl(YAML::Any) >= 0.70
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
Using Config::Model, a typical configuration validation tool will be made
of 3 parts :
1. The user interface
2. The validation engine which is in charge of validating all the 
configuration information provided by the user.
3. The storage facility that store the configuration information

%prep
%setup -q -n Config-Model-%{version}
%patch0 -p1

%build
%{__perl} Build.PL installdirs=vendor
./Build

%install
rm -rf $RPM_BUILD_ROOT

./Build install destdir=$RPM_BUILD_ROOT create_packlist=0
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} $RPM_BUILD_ROOT/*

%check
./Build test

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc ChangeLog config-edit config-edit.tmpl examples LICENSE MODELS README TODO
%{perl_vendorlib}/*
%{_bindir}/config-edit
%{_bindir}/config-edit-popcon
%{_mandir}/man3/*
%{_mandir}/man1/*

%changelog
* Tue Aug 17 2010 David Hannequin <david.hannequin@gmail.com> 1.205-4
- Add forgotten apply patch YAML::Any version (thank for patch).

* Tue Aug 10 2010 Marcela Mašláňová <mmaslano@redhat.com> 1.205-3
- inside module is needed YAML::Any > 0.303. 0.70 < 0.303 for rpm

* Mon Jul 25 2010 David Hannequin david.hannequin@gmail.com 1.205-2
- Fix tag.

* Mon Jul 25 2010 David Hannequin david.hannequin@gmail.com 1.205-1
- Updated to a new upstream version.

* Mon Jun 28 2010 David Hannequin david.hannequin@gmail.com 1.001-1
- Updated to a new upstream version.

* Sun Jun 21 2010 David Hannequin david.hannequin@gmail.com 0.644-4
- Fix wrong syntax.

* Sun Jun 20 2010 David Hannequin david.hannequin@gmail.com 0.644-2
- Add build requires.

* Wed Jun 11 2010 David Hannequin david.hannequin@gmail.com 0.644-1
- Updated to a new upstream version.

* Sun Aug 09 2009 David Hannequin david.hannequin@gmail.com 0.638-4
- Modify license.

* Sat Aug 08 2009 David Hannequin david.hannequin@gmail.com 0.638-3
- Add missing build require.

* Sun Aug 02 2009 David Hannequin david.hannequin@gmail.com 0.638-2
- Fix wrong path.

* Fri Jul 31 2009 David Hannequin <david.hannequin@gmail.com> 0.638-1
- First release.

